AbstractLoanBrokerApp (Mule ESB 2.2.1 API)
Keywords: org.mule.example.loanbroker.AbstractLoanBrokerApp class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.example.loanbroker
Class AbstractLoanBrokerApp

    java.lang.Object
      org.mule.example.loanbroker.AbstractLoanBrokerApp

Direct Known Subclasses:
  LoanBrokerApp, LoanBrokerApp, LoanBrokerApp

    public abstract class AbstractLoanBrokerApp

extends Object

Runs the LoanBroker example application.

Constructor Summary
`AbstractLoanBrokerApp()`
`AbstractLoanBrokerApp(String config)`

Method Summary
`CustomerQuoteRequest` | `createRequest()`
`protected void` | `dispose()`
`protected ConfigurationBuilder` | `getConfigBuilder()`
`protected static double` | `getRandomAmount()`
`protected static int` | `getRandomDuration()`
`protected static int` | `getRandomSsn()`
`protected static CustomerQuoteRequest` | `getRequestFromUser()`
`protected void` | `init()`
`protected static int` | `readCharacter()`
`protected static int` | `readInt()`
`protected static String` | `readString()`
`void` | `request(CustomerQuoteRequest request, boolean sync)`
`void` | `requestDispatch(int number, String endpoint)`
`List` | `requestSend(int number, String endpoint)`
`List` | `requestSend(int number, String endpoint, Map properties)`
`protected void` | `run(boolean synchronous)`
`protected void` | `sendRandomRequests(int number, boolean synchronous)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractLoanBrokerApp

    public AbstractLoanBrokerApp()
                          throws Exception

Throws:
  `Exception`

### AbstractLoanBrokerApp

    public AbstractLoanBrokerApp(String config)
                          throws Exception

Throws:
  `Exception`

Method Detail

### init

    protected void init()
                 throws Exception

  Throws:
    `Exception`

### getConfigBuilder

    protected ConfigurationBuilder getConfigBuilder()
                                             throws MuleException

  Throws:
    `MuleException`

### dispose

    protected void dispose()
                    throws Exception

  Throws:
    `Exception`

### run

    protected void run(boolean synchronous)
                throws Exception

  Throws:
    `Exception`

### createRequest

    public CustomerQuoteRequest createRequest()

### getRequestFromUser

    protected static CustomerQuoteRequest getRequestFromUser()
                                                      throws IOException

  Throws:
    `IOException`

### request

    public void request(CustomerQuoteRequest request,
                        boolean sync)
                 throws Exception

  Throws:
    `Exception`

### requestDispatch

    public void requestDispatch(int number,
                                String endpoint)
                         throws Exception

  Throws:
    `Exception`

### requestSend

    public List requestSend(int number,
                            String endpoint)
                     throws Exception

  Throws:
    `Exception`

### requestSend

    public List requestSend(int number,
                            String endpoint,
                            Map properties)
                     throws Exception

  Throws:
    `Exception`

### sendRandomRequests

    protected void sendRandomRequests(int number,
                                      boolean synchronous)
                               throws Exception

  Throws:
    `Exception`

### readCharacter

    protected static int readCharacter()
                                throws IOException

  Throws:
    `IOException`

### readString

    protected static String readString()
                                throws IOException

  Throws:
    `IOException`

### readInt

    protected static int readInt()
                          throws IOException

  Throws:
    `IOException`

### getRandomAmount

    protected static double getRandomAmount()

### getRandomDuration

    protected static int getRandomDuration()

### getRandomSsn

    protected static int getRandomSsn()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.